from django.contrib.auth import get_user_model
from django.utils.translation import ugettext_lazy as _
from misago.admin.views import generic


class UserAdmin(generic.AdminBaseMixin):
    root_link = 'misago:admin:users:accounts:index'
    template_dir = 'misago/admin/users'

    def get_model(self):
        return get_user_model()


class UsersList(UserAdmin, generic.ListView):
    items_per_page = 20
    ordering = (
        (_("From newest"), '-id'),
        (_("From oldest"), 'id'),
        (_("A to z"), 'username'),
        (_("Z to a"), '-username'),
        )
